ubuntu/+source/bash:applied/ubuntu/trusty-updates

Last commit made on 2017-05-17
Get this branch:
git clone -b applied/ubuntu/trusty-updates https://git.launchpad.net/ubuntu/+source/bash
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/trusty-updates
Repository:
lp:ubuntu/+source/bash

Recent commits

8ad8120... by Marc Deslauriers

4.3-7ubuntu1.7 (patches applied)

Imported using git-ubuntu import.

14b1fd9... by Marc Deslauriers

Out-of-range negative offsets to popd can cause the shell to crash attempting

Gbp-Pq: bash44-006.diff.

d1f88e0... by Marc Deslauriers

If a malicious user can inject a value of $SHELLOPTS containing `xtrace'

Gbp-Pq: bash43-048.diff.

de3a029... by Marc Deslauriers

Bash performs word expansions on the prompt strings after the special

Gbp-Pq: bash43-047.diff.

0043954... by Marc Deslauriers

When the readline `revert-all-at-newline' option is set, pressing newline

Gbp-Pq: bash-readline-revert.diff.

f934dc1... by Marc Deslauriers

A combination of nested command substitutions and function importing from

Gbp-Pq: CVE-2014-6278.diff.

fa25795... by Marc Deslauriers

When bash is parsing a function definition that contains a here-document

Gbp-Pq: CVE-2014-6277.diff.

e6b7b75... by Marc Deslauriers

There are two local buffer overflows in parse.y that can cause the shell

Gbp-Pq: CVE-2014-718x.diff.

6744679... by Marc Deslauriers

This patch changes the encoding bash uses for exported functions to avoid

Gbp-Pq: variables-affix.diff.

1304652... by Marc Deslauriers

Under certain circumstances, bash can incorrectly save a lookahead character and

Gbp-Pq: CVE-2014-7169.diff.